# MATLUSOL

MATLUSOL = "lusol" - A matrix type providing direct solvers (LU) for sequential matrices via the external package LUSOL. If LUSOL is installed (see the manual for instructions on how to declare the existence of external packages), a matrix type can be constructed which invokes LUSOL solvers. After calling MatCreate(...,A), simply call MatSetType(A,MATLUSOL). This matrix type is only supported for double precision real.

This matrix inherits from MATSEQAIJ. As a result, MatSeqAIJSetPreallocation is supported for this matrix type. MatConvert can be called for a fast inplace conversion to and from the MATSEQAIJ matrix type.

### Options Database Keys

-mat_type lusol -sets the matrix type to "lusol" during a call to MatSetFromOptions()

### See Also

PCLU

Level:beginner
Location: src/mat/impls/aij/seq/lusol/lusol.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages